Question

wakefun on Tue, 18 Feb 2014 10:09:53


Dear all,

I have install SQL server 2012 and I try to attached to the Advanture work 2012 database file. When doing so I get the following error :

The database 'AdventureWorksDW2012' cannot be opened because it is version 706. This server supports version 661 and earlier. A downgrade path is not supported.

Any idea ?

regards


Sponsored



Replies

Olaf Helper on Tue, 18 Feb 2014 10:17:35


Hello,

You are trying to attach a SQL Server 2012 database to a SQL Server of Version 2008R2; this is not possible, the database file formats are not backward compatible.

Download & use the version of AdventureWorks which meets your used SQL Server version.

Shanky_621 on Tue, 18 Feb 2014 10:19:16


Dear all,

I have install SQL server 2012 and I try to attached to the Advanture work 2012 database file. When doing so I get the following error :

The database 'AdventureWorksDW2012' cannot be opened because it is version 706. This server supports version 661 and earlier. A downgrade path is not supported.

Any idea ?

regards

Hello,

Are you sure you are attching adventure works database to SQL 2012 instance ,because error suggest you are attching it to SQL Server 2008 R2 edition( I guess its version is 661) which you cannnot do ,you cannot attch higher instance DB to lower instance  .Seems you have multiple edition or you connected to wrong instance for sure.